## org.apache.mahout.math.hadoop
Class DistributedRowMatrix.MatrixEntryWritable

    java.lang.Object
      org.apache.mahout.math.hadoop.DistributedRowMatrix.MatrixEntryWritable

All Implemented Interfaces:
  Comparable<DistributedRowMatrix.MatrixEntryWritable>, org.apache.hadoop.io.Writable, org.apache.hadoop.io.WritableComparable<DistributedRowMatrix.MatrixEntryWritable>

Enclosing class:
  DistributedRowMatrix

    public static class DistributedRowMatrix.MatrixEntryWritable

extends Object
implements org.apache.hadoop.io.WritableComparable<DistributedRowMatrix.MatrixEntryWritable>

Constructor Summary
`DistributedRowMatrix.MatrixEntryWritable()`

Method Summary
`int` `compareTo(DistributedRowMatrix.MatrixEntryWritable o)`
`boolean` `equals(Object o)`
`int` `getCol()`
`int` `getRow()`
`double` `getVal()`
`int` `hashCode()`
`void` `readFields(DataInput in)`
`void` `setCol(int col)`
`void` `setRow(int row)`
`void` `setVal(double val)`
`String` `toString()`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedRowMatrix.MatrixEntryWritable

    public DistributedRowMatrix.MatrixEntryWritable()

Method Detail

### getRow

    public int getRow()

### setRow

    public void setRow(int row)

### getCol

    public int getCol()

### setCol

    public void setCol(int col)

### getVal

    public double getVal()

### setVal

    public void setVal(double val)

### compareTo

    public int compareTo(DistributedRowMatrix.MatrixEntryWritable o)

  Specified by:
    `compareTo` in interface `Comparable<DistributedRowMatrix.MatrixEntryWritable>`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.